1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Past is coming back to haunt me

Discussion in 'Sony PSP - Homebrew software' started by deannat, Dec 26, 2007.

  1. deannat

    deannat Guest

    After spending a year downloading back up copies of xbox games I have (seriously) managed to unknowingly buy a homebrew modded PSP (FAT PSP-1004 K) with Dark Alex's 3.02 OE-A firmware (can't believe i've done this lol!). I have bought some games for my son to play and none of them will (error 80020148). This is how I found out the psp had been modded lol (looking up the error code). Now,I have gone into the advanced menu, with one of the games in the psp already and disabled the relevant settings, but none of them will play still. I don't know what to do.., everything I have read suggests that they should if u disable the relevant advanced settings. Any idea's anyone.., got a very upset son here and my life is not gonna be worth living tomorrow?
     
  2. 07anto07

    07anto07 Regular member

    Joined:
    May 21, 2007
    Messages:
    3,511
    Likes Received:
    0
    Trophy Points:
    46
    hi upgrade to 3.71m33-2 this should fix ur problem
     
  3. larrylje

    larrylje Active member

    Joined:
    Jan 4, 2005
    Messages:
    12,506
    Likes Received:
    0
    Trophy Points:
    96
    Are you sure your at 3.03 OE custom firmware?

    Double check by going to System Settings, System Information and look under System Software.

    If it is 3.03 OE you have old custom firmware and with game requirements higher now allot of the ISO/CSO games will not work on such a low custom firmware.

    The solution is higher firmware. I recommend you go to 3.71 M33-4.

    The easiest and safest way to do this is Pandora battery + magic memory Stick.

    Follow this guide HERE if you want to do this method.

    If you want to do it manually go HERE to update to 3.52 M33-4 (this needs to be performed before going to 3.71 M33-4)

    Then go HERE and update to 3.71 M33-4 (make sure you update to 3.52 M33-4 first).

    After you have updated to 3.71 M33-4 go HERE and follow these steps to get your ISO/CSO games working properly.
     
    Last edited: Dec 26, 2007
  4. deannat

    deannat Guest

    Lots of reading of threads the other nite might have confused me. Was on 3.02OE-A.., and from 4am this morning (yeah, I know, I'm mad) managed to do the usual upgrade route to 3.02OE-B.., 3.52, 3.52-4 and still to go to 3.71 then 3.71-4.

    Just lots of information to absorb for a newbie to psp consoles lol. Once my son was given some older psp games (which played) realised the psp probably wasn't playing the games I'd bought him cause they were relatively new releases, and they needed more up to date firmware. They now play, thank goodness lol.

    To be honest, now I've got somewhere I've had a lot of fun and of course its not hard as long as u follow the proper firmware upgrade/downgrade route.., its only when u'r getting no-where and don't know what to do it gets a bit iffy lol (as always lol).

    Still makes me laugh tho that I bought the psp simply to play bought games and now I don't have to lolol. Sod's law I guess.

    Thanks to everyone for their advice.., thank goodness for forums like this!
     

Share This Page